using System;
using System.Collections.Generic;
using System.Text;
using System.Diagnostics;

namespace InfiniTec.Exchange
{
    [global::System.AttributeUsage(AttributeTargets.Class, Inherited = true, AllowMultiple = true)]
    sealed class SchemaClassAttribute : Attribute
    {
        private Type _SchemaClass;

        public Type SchemaClass
        {
            [DebuggerStepThrough]
            get { return _SchemaClass; }
            [DebuggerStepThrough]
            set { _SchemaClass = value; }
        }

        public SchemaClassAttribute(Type schemaClass)
        {
            SchemaClass = schemaClass;
        }
	
    }

}
